import javax.microedition.lcdui.*;

class colorGradient {

 private Graphics graphics;
 private int width,height;

 public colorGradient (Graphics g, int width, int height) {
  graphics=g;
  this.width=width;
  this.height=height;
 }

 public int getRed (int color) {
  return (color & 0xFF0000) >> 16;
 }

 public int getGreen (int color) {
  return (color & 0x00FF00) >> 8;
 }

 public int getBlue (int color) {
  return (color & 0x0000FF);
 }

 public void draw (int c1, int c2, int h1, int h2) {
  int r1=getRed (c1);
  int r2=getRed (c2);
  int g1=getGreen (c1);
  int g2=getGreen (c2);
  int b1=getBlue (c1);
  int b2=getBlue (c2);
  int r,g,b;
  for (int i=h1; i<h2; i++) {
   r=r1+(i-h1)*(r2-r1)/(h2-h1+1);
   g=g1+(i-h1)*(g2-g1)/(h2-h1+1);
   b=b1+(i-h1)*(b2-b1)/(h2-h1+1);
   graphics.setColor (r,g,b);
   graphics.drawLine (0,i,width-1,i);
  }
 }

}